# Uses of Interface
org.eclipse.birt.chart.render.ISeriesRenderingHints

Packages that use ISeriesRenderingHints
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.computation.withoutaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withoutaxes package.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of ISeriesRenderingHints in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return ISeriesRenderingHints
Modifier and Type
Method
Description
`abstract ISeriesRenderingHints`
PlotComputation.`getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal)`

## Uses of ISeriesRenderingHints in org.eclipse.birt.chart.computation.withaxes

Classes in org.eclipse.birt.chart.computation.withaxes that implement ISeriesRenderingHints
Modifier and Type
Class
Description
`final class`
`SeriesRenderingHints`
SeriesRenderingHints
`final class`
`SeriesRenderingHints3D`
SeriesRenderingHints3D
Methods in org.eclipse.birt.chart.computation.withaxes that return ISeriesRenderingHints
Modifier and Type
Method
Description
`ISeriesRenderingHints`
PlotWith2DAxes.`getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal)`
`ISeriesRenderingHints`
PlotWith3DAxes.`getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal)`

## Uses of ISeriesRenderingHints in org.eclipse.birt.chart.computation.withoutaxes

Classes in org.eclipse.birt.chart.computation.withoutaxes that implement ISeriesRenderingHints
Modifier and Type
Class
Description
`class`
`SeriesRenderingHints`
SeriesRenderingHints

## Uses of ISeriesRenderingHints in org.eclipse.birt.chart.render

Subinterfaces of ISeriesRenderingHints in org.eclipse.birt.chart.render
Modifier and Type
Interface
Description
`interface`
`ISeriesRenderingHints3D`
This interface defines the 3D rendering hints required by series renderer.
Methods in org.eclipse.birt.chart.render that return ISeriesRenderingHints
Modifier and Type
Method
Description
`final ISeriesRenderingHints`
BaseRenderer.`getSeriesRenderingHints()`
Methods in org.eclipse.birt.chart.render with parameters of type ISeriesRenderingHints
Modifier and Type
Method
Description
`void`
EmptyWithAxes.`compute(Bounds bo, Plot p, ISeriesRenderingHints isrh)`
`void`
EmptyWithoutAxes.`compute(Bounds bo, Plot p, ISeriesRenderingHints isrh)`
`void`
ISeriesRenderer.`compute(Bounds bo, Plot p, ISeriesRenderingHints isrh)`
Sends out a first pass notification to the series renderer implementation to perform any necessary pre-computations prior to a second pass rendering.
`void`
IAxesDecorator.`decorateAxes(IPrimitiveRenderer ipr, ISeriesRenderingHints isrh, OneAxis ax)`
Perform decoration.
`void`
EmptyWithAxes.`renderSeries(IPrimitiveRenderer ipr, Plot p, ISeriesRenderingHints isrh)`
`void`
EmptyWithoutAxes.`renderSeries(IPrimitiveRenderer ipr, Plot p, ISeriesRenderingHints isrh)`
`void`
ISeriesRenderer.`renderSeries(IPrimitiveRenderer ipr, Plot p, ISeriesRenderingHints isrh)`
Notifies the series renderer to render itself in the provided plot area.
`final void`
BaseRenderer.`set(ISeriesRenderingHints _srh)`
Sets the series rendering hints for current renderer.